Skip to main content
GET
/
projects
Get All Projects
curl --request GET \
  --url https://api.everhour.com/projects \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": "as:1234567890",
    "name": "Project Name",
    "users": [
      1304,
      1543
    ],
    "workspaceId": "<string>",
    "workspaceName": "<string>",
    "client": 123,
    "type": "board",
    "favorite": false,
    "billing": {
      "fee": 123
    },
    "rate": {
      "rate": 123,
      "userRateOverrides": {
        "1304": 10000,
        "1543": 5000
      }
    },
    "budget": {
      "type": "money",
      "budget": 100000,
      "period": "general",
      "progress": 0,
      "timeProgress": 0,
      "expenseProgress": 0,
      "appliedFrom": "<string>",
      "disallowOverbudget": true,
      "excludeUnbillableTime": true,
      "excludeExpenses": true,
      "showToUsers": true,
      "threshold": 123
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

platform
enum<string>

Filter by Integration

Available options:
as,
ev,
b3,
b2,
pv,
gh,
in,
tr,
jr
Example:

"as"

query
string

Search Projects by Name

Example:

"Development"

limit
number

Max Results

Example:

100

Response

OK

id
string
required
Example:

"as:1234567890"

name
string
required
Example:

"Project Name"

users
number[]
required

List of assigned user IDs

Example:
[1304, 1543]
workspaceId
string | null
workspaceName
string | null
client
number | null

Client ID

type
enum<string>

Project Type

Available options:
board,
list
Example:

"board"

favorite
boolean
Example:

false

billing
object
rate
object
budget
object